linux-ec2: 2.6.32-358.71 -proposed tracker

Bug #1243918 reported by Brad Figg on 2013-10-23
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Stefan Bader
Prepare-package-meta
Medium
Stefan Bader
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Upload-to-ppa-dnu
Medium
Stefan Bader
Verification-testing
Medium
Canonical Kernel Team
linux-ec2 (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 23. October 2013 21:02 UTC
kernel-stable-master-bug:1242800
kernel-stable-Prepare-package-end:Thursday, 24. October 2013 17:44 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 24. October 2013 17:44 UTC
kernel-stable-Certification-testing-end:Thursday, 24. October 2013 17:43 UTC
kernel-stable-Promote-to-proposed-end:Friday, 25. October 2013 00:04 UTC
kernel-stable-Security-signoff-start:Friday, 25. October 2013 01:05 UTC
kernel-stable-Verification-testing-start:Friday, 25. October 2013 01:05 UTC
kernel-stable-Regression-testing-start:Friday, 25. October 2013 01:05 UTC
kernel-stable-Security-signoff-end:Monday, 28. October 2013 23:04 UTC
kernel-stable-Regression-testing-end:Tuesday, 29. October 2013 19:03 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 06. November 2013 16:04 UTC
kernel-stable-Promote-to-updates-end:Friday, 08. November 2013 01:02 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 08. November 2013 02:06 UTC

This tracking bug was opened to be worked from linux-2.6.32-53.115 update (bug 1242800)

tags: added: kernel-release-tracking-bug
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Lucid):
importance: Undecided → Medium
Stefan Bader (smb) on 2013-10-24
summary: - linux-ec2: <version to be filled> -proposed tracker
+ linux-ec2: 2.6.32-358.71 -proposed tracker

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2013-10-25
description: updated
Brad Figg (brad-figg) on 2013-10-25
description: updated
Adam Conrad (adconrad) on 2013-10-25
Changed in linux-ec2 (Ubuntu):
status: New → Invalid
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-10-28
description: updated
Para Siva (psivaa) on 2013-10-29
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-10-29
description: updated
Brad Figg (brad-figg) on 2013-11-06
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ec2 - 2.6.32-358.71

---------------
linux-ec2 (2.6.32-358.71) lucid-proposed; urgency=low

  [ Stefan Bader ]

  * Rebased to Ubuntu-2.6.32-53.115
  * Release Tracking Bug
    - LP: #1243918

  [ Ubuntu: 2.6.32-53.115 ]

  * HID: provide a helper for validating hid reports
    - LP: #1220190
    - CVE-2013-2889
  * HID: zeroplus: validate output report details
    - LP: #1220190
    - CVE-2013-2889
  * HID: LG: validate HID output report details
    - LP: #1220190
    - CVE-2013-2893
  * cciss: fix info leak in cciss_ioctl32_passthru()
    - LP: #1188355
    - CVE-2013-2147
  * cpqarray: fix info leak in ida_locked_ioctl()
    - LP: #1188355
    - CVE-2013-2147
  * HID: add usage_index in struct hid_usage.
    - LP: #1220205
    - CVE-CVE-2013-2897
  * HID: validate feature and input report details
    - LP: #1220205
    - CVE-2013-2897
  * dm snapshot: fix data corruption
    - LP: #1241769
    - CVE-2013-4299
 -- Stefan Bader <email address hidden> Thu, 24 Oct 2013 09:00:55 +0100

Changed in linux-ec2 (Ubuntu Lucid):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-11-08
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers